diff options
-rwxr-xr-x | configure | 111 |
1 files changed, 111 insertions, 0 deletions
@@ -7302,6 +7302,117 @@ cat >>confdefs.h <<\_ACEOF | |||
7302 | #define SSH_TUN_PREPEND_AF 1 | 7302 | #define SSH_TUN_PREPEND_AF 1 |
7303 | _ACEOF | 7303 | _ACEOF |
7304 | 7304 | ||
7305 | { echo "$as_me:$LINENO: checking if we have the Security Authorization Session API" >&5 | ||
7306 | echo $ECHO_N "checking if we have the Security Authorization Session API... $ECHO_C" >&6; } | ||
7307 | cat >conftest.$ac_ext <<_ACEOF | ||
7308 | /* confdefs.h. */ | ||
7309 | _ACEOF | ||
7310 | cat confdefs.h >>conftest.$ac_ext | ||
7311 | cat >>conftest.$ac_ext <<_ACEOF | ||
7312 | /* end confdefs.h. */ | ||
7313 | #include <Security/AuthSession.h> | ||
7314 | int | ||
7315 | main () | ||
7316 | { | ||
7317 | SessionCreate(0, 0); | ||
7318 | ; | ||
7319 | return 0; | ||
7320 | } | ||
7321 | _ACEOF | ||
7322 | rm -f conftest.$ac_objext | ||
7323 | if { (ac_try="$ac_compile" | ||
7324 | case "(($ac_try" in | ||
7325 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
7326 | *) ac_try_echo=$ac_try;; | ||
7327 | esac | ||
7328 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
7329 | (eval "$ac_compile") 2>conftest.er1 | ||
7330 | ac_status=$? | ||
7331 | grep -v '^ *+' conftest.er1 >conftest.err | ||
7332 | rm -f conftest.er1 | ||
7333 | cat conftest.err >&5 | ||
7334 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
7335 | (exit $ac_status); } && { | ||
7336 | test -z "$ac_c_werror_flag" || | ||
7337 | test ! -s conftest.err | ||
7338 | } && test -s conftest.$ac_objext; then | ||
7339 | ac_cv_use_security_session_api="yes" | ||
7340 | |||
7341 | cat >>confdefs.h <<\_ACEOF | ||
7342 | #define USE_SECURITY_SESSION_API 1 | ||
7343 | _ACEOF | ||
7344 | |||
7345 | LIBS="$LIBS -framework Security" | ||
7346 | { echo "$as_me:$LINENO: result: yes" >&5 | ||
7347 | echo "${ECHO_T}yes" >&6; } | ||
7348 | else | ||
7349 | echo "$as_me: failed program was:" >&5 | ||
7350 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
7351 | |||
7352 | ac_cv_use_security_session_api="no" | ||
7353 | { echo "$as_me:$LINENO: result: no" >&5 | ||
7354 | echo "${ECHO_T}no" >&6; } | ||
7355 | fi | ||
7356 | |||
7357 | rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext | ||
7358 | { echo "$as_me:$LINENO: checking if we have an in-memory credentials cache" >&5 | ||
7359 | echo $ECHO_N "checking if we have an in-memory credentials cache... $ECHO_C" >&6; } | ||
7360 | cat >conftest.$ac_ext <<_ACEOF | ||
7361 | /* confdefs.h. */ | ||
7362 | _ACEOF | ||
7363 | cat confdefs.h >>conftest.$ac_ext | ||
7364 | cat >>conftest.$ac_ext <<_ACEOF | ||
7365 | /* end confdefs.h. */ | ||
7366 | #include <Kerberos/Kerberos.h> | ||
7367 | int | ||
7368 | main () | ||
7369 | { | ||
7370 | cc_context_t c; | ||
7371 | (void) cc_initialize (&c, 0, NULL, NULL); | ||
7372 | ; | ||
7373 | return 0; | ||
7374 | } | ||
7375 | _ACEOF | ||
7376 | rm -f conftest.$ac_objext | ||
7377 | if { (ac_try="$ac_compile" | ||
7378 | case "(($ac_try" in | ||
7379 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
7380 | *) ac_try_echo=$ac_try;; | ||
7381 | esac | ||
7382 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
7383 | (eval "$ac_compile") 2>conftest.er1 | ||
7384 | ac_status=$? | ||
7385 | grep -v '^ *+' conftest.er1 >conftest.err | ||
7386 | rm -f conftest.er1 | ||
7387 | cat conftest.err >&5 | ||
7388 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
7389 | (exit $ac_status); } && { | ||
7390 | test -z "$ac_c_werror_flag" || | ||
7391 | test ! -s conftest.err | ||
7392 | } && test -s conftest.$ac_objext; then | ||
7393 | |||
7394 | cat >>confdefs.h <<\_ACEOF | ||
7395 | #define USE_CCAPI 1 | ||
7396 | _ACEOF | ||
7397 | |||
7398 | LIBS="$LIBS -framework Security" | ||
7399 | { echo "$as_me:$LINENO: result: yes" >&5 | ||
7400 | echo "${ECHO_T}yes" >&6; } | ||
7401 | if test "x$ac_cv_use_security_session_api" = "xno"; then | ||
7402 | { { echo "$as_me:$LINENO: error: *** Need a security framework to use the credentials cache API ***" >&5 | ||
7403 | echo "$as_me: error: *** Need a security framework to use the credentials cache API ***" >&2;} | ||
7404 | { (exit 1); exit 1; }; } | ||
7405 | fi | ||
7406 | else | ||
7407 | echo "$as_me: failed program was:" >&5 | ||
7408 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
7409 | |||
7410 | { echo "$as_me:$LINENO: result: no" >&5 | ||
7411 | echo "${ECHO_T}no" >&6; } | ||
7412 | |||
7413 | fi | ||
7414 | |||
7415 | rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext | ||
7305 | 7416 | ||
7306 | { echo "$as_me:$LINENO: checking whether AU_IPv4 is declared" >&5 | 7417 | { echo "$as_me:$LINENO: checking whether AU_IPv4 is declared" >&5 |
7307 | echo $ECHO_N "checking whether AU_IPv4 is declared... $ECHO_C" >&6; } | 7418 | echo $ECHO_N "checking whether AU_IPv4 is declared... $ECHO_C" >&6; } |